Loading...
Searching...
No Matches
bwOverlapBlock_t Struct Reference

This structure holds the data blocks that overlap a given interval. More...

`#include <bwValues.h>`

## Data Fields

uint64_t | n
uint64_t * | offset
uint64_t * | size

## Detailed Description

This structure holds the data blocks that overlap a given interval.

## Field Documentation

## n

uint64_t bwOverlapBlock_t::n

The number of blocks that overlap. This MAY be 0!.

## offset

uint64_t* bwOverlapBlock_t::offset

The offset to the on-disk position of the block.

## size

uint64_t* bwOverlapBlock_t::size

The size of each block on disk (in bytes).

The documentation for this struct was generated from the following file:

- bwValues.h